#ifndef __L_LAYER_H
#define __L_LAYER_H

#define cm_ShowWorkAddress   10001
#define cm_ShowAuthorAddress 10002
#define cm_ShowAuthorName    10003
#define cm_ShowCoAuthorName  10004

#ifdef __cplusplus
extern "C" {
#endif
BOOL       WINAPI InitializeSPLibrary( TMainParameters* );
void       WINAPI SetInfo( LPCSTR );
void       WINAPI SetStaticInfo( LPCSTR );
void       WINAPI SetStatus( LPCSTR );
void       WINAPI AboutTheMaker( void );
BOOL       WINAPI FileOpen( LPCSTR, LPSTR, LPSTR, LPCSTR );
BOOL       WINAPI FileSave( LPCSTR, LPSTR, LPSTR, LPCSTR );
TxScanType WINAPI ParsingXScanType( LPSTR );
BOOL       WINAPI CreateDefaults( void );
LPDataBase WINAPI GetDataBasePtr( void );
int        WINAPI GetBufferLine( LPSTR, LPSTR, int );
int        WINAPI GetFileLine( int, LPSTR, int );
LPCSTR     WINAPI GetCFile( void );
HWND       WINAPI GetFrameHandle( void );
HWND       WINAPI GetClientHandle( void );
HINSTANCE  WINAPI GetMainInstance( void );
LPCSTR     WINAPI spGetVersion( void );
HINSTANCE  WINAPI spGetInstance( void );
TUnitType  WINAPI UnitEnum( LPSTR );
LPSTR      WINAPI UnitStr( TUnitType );
BOOL       WINAPI SetFPOnData( HFILE hfile );
void       WINAPI DelayTime( int );
void       WINAPI Delay( long );
int        WINAPI maxi( int, int );
long       WINAPI maxl( long, long );
float      WINAPI maxf( float, float );
double     WINAPI maxd( double, double );
int        WINAPI mini( int, int );
long       WINAPI minl( long, long );
float      WINAPI minf( float, float );
double     WINAPI mind( double, double );
#ifdef __cplusplus
}
#endif
#endif
// __LastLine__
